Advertisement:

Author Topic: 1.1.21 Upgrade to 2.0.14 failed  (Read 311 times)

Offline bitzone

  • Newbie
  • *
  • Posts: 2
1.1.21 Upgrade to 2.0.14 failed
« on: July 21, 2017, 08:01:40 AM »
Hi there,

I hope someone can help with the following question:
I tried to upgrade the SMF Forum software from 1.1.21 to 2.0.14 (Before I updated the system from 1.1.14 to 1.1.21, worked fine)
The upgrade process stopped at step 4 - Database Changes, Database Changes

The following message came up:
Executing database changes
Please be patient - this may take some time on large forums. The time elapsed increments from the server to show progress is being made!
Executing upgrade script 2 of 2.
Executing: "Adding permission profiles for boards." (16 of 42 - of this script)

!!
Error!
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'WHERE id_board IN (3,5,8,9,11,13,15,16,17,18,19)' at line 3

Does anybody knows how to fix this?

Thanks in advance, best,
Steffen

Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 6,524
  • Too long in the wasteland
Re: 1.1.21 Upgrade to 2.0.14 failed
« Reply #1 on: July 21, 2017, 12:59:08 PM »
Which MySQL version is your server running?

Offline bitzone

  • Newbie
  • *
  • Posts: 2
Re: 1.1.21 Upgrade to 2.0.14 failed
« Reply #2 on: July 21, 2017, 04:34:33 PM »
MySQL 5.6.36